import numpy as np
from pathlib import Path
import nibabel as nib
import logging
from sklearn.model_selection import train_test_split
from make_data import Pre_Data_Volume
import json
import pandas as pd
from data_saver import DataSaver

logging.getLogger().setLevel(logging.INFO)

NIFTI_SHAPE = (91, 109, 91)
MAX_LOAD = 20000
limit = -1

ad_cn = pd.read_csv("inputs/ad_cn_long_test.csv")

if len(ad_cn) > MAX_LOAD:
    ad_cn = ad_cn[:MAX_LOAD]

img_test = np.array(ad_cn["Baseline ID"])
img_test_long = np.array(ad_cn["Longitudinal ID"])
labels_test = np.array(ad_cn["Is_AD"])

baseline_ids_test = img_test
long_ids_test = img_test_long

limit_base_test = limit if limit>0 else len(baseline_ids_test)
limit_long_test = limit if limit>0 else len(long_ids_test)
limit_total_test = limit if limit>0 else len(labels_test)

data_test = Pre_Data_Volume(NIFTI_SHAPE, 
                            baseline_ids_test[:limit_base_test], long_ids_test[:limit_long_test]) 

logging.info("saving files...")

test_saver = DataSaver("test_ad_cn_2mm", data_test.X_base, data_test.X_long, labels_test[:limit_total_test])

logging.info("All saves complete")
